Summary:	Port scan detection and active defense
Summary(pl.UTF-8):	Program wykrywający skanowanie portów i umożliwiający obronę
Name:		portsentry
Version:	1.1
Release:	11
License:	distributable (see LICENSE)
Group:		Applications/Networking
Source0:	http://www.psionic.com/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	782839446b7eca554bb1880ef0882670
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-logging-pld.patch
Patch1:		%{name}-ignore.csh.patch
Patch2:		%{name}-libwrap.patch
Patch3:		%{name}-config.patch
URL:		http://www.psionic.com/products/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun):	fileutils
Requires:	awk
Requires:	iproute2
Requires:	rc-scripts
Requires:	textutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/portsentry

%description
PortSentry is part of the Abacus Project suite of tools. The Abacus
Project is an initiative to release low-maintenance, generic, and
reliable host based intrusion detection software to the Internet
community.

%description -l pl.UTF-8
PortSentry jest częścią zestawu narzędzi Projektu Abacus. Projekt
Abacus ma na celu stworzenie ogólnego, pewnego i wymagającego
niewielkiej obsługi oprogramowania do wykrywania prób skanowania
portów dla internetowej społeczności.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__make} linux \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/{rc.d/init.d,sysconfig}}

%{__make} install \
	INSTALLDIR=$RPM_BUILD_ROOT/etc

install ignore.csh $RPM_BUILD_ROOT%{_sbindir}/portsentry-ignore
install portsentry $RPM_BUILD_ROOT%{_sbindir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/portsentry
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/portsentry

touch $RPM_BUILD_ROOT%{_sysconfdir}/{portsentry.blocked.{audp,atcp,stcp,sudp,tcp,udp},portsentry.history}

# the portsentry binary
rm -f $RPM_BUILD_ROOT/etc/portsentry/portsentry

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/portsentry-ignore
/sbin/chkconfig --add portsentry
%service portsentry restart "portsentry daemon"

%preun
if [ "$1" = "0" ]; then
	%service portsentry stop
	/sbin/chkconfig --del portsentry
fi

%files
%defattr(644,root,root,755)
%doc README* CHANGES CREDITS LICENSE
%attr(750,root,root) %dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/portsentry.conf
%attr(640,root,root) %config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/portsentry.ignore
%attr(640,root,root) %ghost %{_sysconfdir}/portsentry.history
%attr(640,root,root) %ghost %{_sysconfdir}/portsentry.blocked*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/*
%attr(754,root,root) /etc/rc.d/init.d/*
%attr(755,root,root) %{_sbindir}/*
%changelog
* Fri Nov 23 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/portsentry.git;a=log;h=master

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c25e0fb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 03da39d
- converted to UTF-8

* Sun Mar 12 2006 Elan Ruusamäe <glen@pld-linux.org> 07c2231
- added

* Sun Mar 12 2006 Elan Ruusamäe <glen@pld-linux.org> 7f8c7b4
- update iptables path in config

* Sun Mar 12 2006 Elan Ruusamäe <glen@pld-linux.org> a24afcd
- use %service, rel 11

* Sun Mar 12 2006 Elan Ruusamäe <glen@pld-linux.org> abe1d5f
- libwrap patch added
- programs moved to sbindir (needs root to run anyway)
- ignore.csh renamed not to be so generic
- /bin/csh dep is autogenerated

* Sun Mar 12 2006 Elan Ruusamäe <glen@pld-linux.org> b90cb7d
- use sane shell syntax
- create global service lock

* Sun Mar 12 2006 Elan Ruusamäe <glen@pld-linux.org> d90a801
- english

* Thu Dec 08 2005 Elan Ruusamäe <glen@pld-linux.org> ec5fa70
- killed trailing spaces/tabs

* Thu Sep 01 2005 darekr <darekr@pld-linux.org> 06b3e05
- PreReq -> Requires
- BR: sed 4.0, noreplace for %config

* Sun Sep 05 2004 kolodko <kolodko@pld-linux.org> 824008b
- added some ghost files in %{_sysconfdir}

* Wed Sep 01 2004 kolodko <kolodko@pld-linux.org> dbcec2d
- corected path to /etc/tcp/host.adeny by %{_sed}
- rel 10

* Thu Aug 19 2004 undefine <undefine@pld-linux.org> 2de9cef
- release 9

* Mon Dec 01 2003 undefine <undefine@pld-linux.org> ecc9150
- release 8 to rebuild with ac

* Fri Aug 08 2003 Jakub Bogusz <qboosh@pld-linux.org> 263cc2d
- more specific Requires

* Mon Jul 07 2003 ankry <ankry@pld-linux.org> 2d158af
- fixed previous change

* Thu Jul 03 2003 ankry <ankry@pld-linux.org> a4faec9
- allow some actions when network is down

* Wed May 28 2003 Michal Moskal <michal@moskal.me> d1ae7d6
- massive attack: source-md5

* Sun May 25 2003 ankry <ankry@pld-linux.org> 3d97516
- LSB conformance

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 4c2ae72
- massive attack s/pld.org.pl/pld-linux.org/

